package com.fidms.web.domain;

import com.fidms.common.annotation.Excel;
import com.fidms.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.math.BigDecimal;

/**
 * 流场输出对象 bz_flow_field_output_t
 * 
 * @author Allen
 * @date 2023-05-08
 */
public class FlowFieldOutput extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 编号 */
    private Long id;

    /** 文件输出 */
    @Excel(name = "文件输出")
    private String outputFile;

    /** 文件输出路径 */
    @Excel(name = "文件输出路径")
    private String outputFilePath;

    /** 软件界面截屏 */
    @Excel(name = "软件界面截屏")
    private String softScreenShoot;

    /** 软件界面截屏路径 */
    @Excel(name = "软件界面截屏路径")
    private String softScreenShootPath;

    /** 网格数 */
    @Excel(name = "网格数")
    private BigDecimal gridNumber;

    /** 是否为结构网格 */
    @Excel(name = "是否为结构网格")
    private Boolean isStructureGrid;

    /** 温度 */
    @Excel(name = "温度")
    private BigDecimal temperature;

    /** 二氧化碳 */
    @Excel(name = "二氧化碳")
    private BigDecimal co2;

    /** 一氧化碳 */
    @Excel(name = "一氧化碳")
    private BigDecimal co;

    /** 水蒸气 */
    @Excel(name = "水蒸气")
    private BigDecimal h2o;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setOutputFile(String outputFile) 
    {
        this.outputFile = outputFile;
    }

    public String getOutputFile() 
    {
        return outputFile;
    }
    public void setOutputFilePath(String outputFilePath) 
    {
        this.outputFilePath = outputFilePath;
    }

    public String getOutputFilePath() 
    {
        return outputFilePath;
    }
    public void setSoftScreenShoot(String softScreenShoot) 
    {
        this.softScreenShoot = softScreenShoot;
    }

    public String getSoftScreenShoot() 
    {
        return softScreenShoot;
    }
    public void setSoftScreenShootPath(String softScreenShootPath) 
    {
        this.softScreenShootPath = softScreenShootPath;
    }

    public String getSoftScreenShootPath() 
    {
        return softScreenShootPath;
    }
    public void setGridNumber(BigDecimal gridNumber) 
    {
        this.gridNumber = gridNumber;
    }

    public BigDecimal getGridNumber() 
    {
        return gridNumber;
    }
    public void setIsStructureGrid(Boolean isStructureGrid)
    {
        this.isStructureGrid = isStructureGrid;
    }

    public Boolean getIsStructureGrid()
    {
        return isStructureGrid;
    }
    public void setTemperature(BigDecimal temperature) 
    {
        this.temperature = temperature;
    }

    public BigDecimal getTemperature() 
    {
        return temperature;
    }
    public void setCo2(BigDecimal co2) 
    {
        this.co2 = co2;
    }

    public BigDecimal getCo2() 
    {
        return co2;
    }
    public void setCo(BigDecimal co) 
    {
        this.co = co;
    }

    public BigDecimal getCo() 
    {
        return co;
    }
    public void setH2o(BigDecimal h2o) 
    {
        this.h2o = h2o;
    }

    public BigDecimal getH2o() 
    {
        return h2o;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("outputFile", getOutputFile())
            .append("outputFilePath", getOutputFilePath())
            .append("softScreenShoot", getSoftScreenShoot())
            .append("softScreenShootPath", getSoftScreenShootPath())
            .append("gridNumber", getGridNumber())
            .append("isStructureGrid", getIsStructureGrid())
            .append("temperature", getTemperature())
            .append("co2", getCo2())
            .append("co", getCo())
            .append("h2o", getH2o())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .toString();
    }
}
